## pyptlib 0.0.5

=== sphinx/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = ../doc

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*
	@rm -f ./stem.* ./modules.rst

html:
	@rm -f ./pyptlib.* ./modules.rst
	@sphinx-apidoc -o . ../pyptlib
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/pyptlib.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/pyptlib.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/pyptlib"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/pyptlib"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## pyptlib 0.0.3

=== debian/changelog ===
pyptlib (0.0.3-1) unstable; urgency=low

  * Initial release. (Closes: #699921)

 -- Jérémy Bobbio <lunar@debian.org>  Tue, 19 Feb 2013 23:18:11 +0100

=== debian/control ===
Source: pyptlib
Maintainer: Jérémy Bobbio <lunar@debian.org>
Section: python
Priority: extra
Build-Depends: debhelper (>= 8), python-setuptools, python-sphinx
Standards-Version: 3.9.4
X-Python-Version: >= 2.7
Vcs-Git: git://anonscm.debian.org/collab-maint/pyptlib.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/pyptlib.git

Package: python-pyptlib
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: library for Tor pluggable transports written in Python
 pyptlib is a little Python library which understands the Tor pluggable
 transport managed-proxy protocol. It is useful for developers writing
 Tor pluggable transports in Python.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=python_distutils

override_dh_installdocs:
	cd sphinx && make text
	dh_installdocs

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	set -e && \
	for test in $$(find pyptlib/test -type f -name '*.py'); do \
		PYTHONPATH=. python $$test; \
	done
endif

## pyptlib 0.0.5

=== debian/changelog ===
pyptlib (0.0.5-1ubuntu1) trusty; urgency=low

  * debian/tests/upstream-tests: Add pyptlib/test/ to PYTHONPATH so that the
    autopkgtest can find test.test_core.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 28 Oct 2013 13:47:28 +0100

pyptlib (0.0.5-1) unstable; urgency=low

  * New upstream version.

 -- Jérémy Bobbio <lunar@debian.org>  Thu, 03 Oct 2013 22:23:49 +0200

pyptlib (0.0.4-1) unstable; urgency=low

  * New upstream version.
  * Add watch file.
  * Only run test files that actually contain tests.
  * Also use autopkgtest script to run the test suite at build time.

 -- Jérémy Bobbio <lunar@debian.org>  Fri, 20 Sep 2013 15:39:02 +0200

pyptlib (0.0.3-2) unstable; urgency=low

  * Add autopkgtest support to run upstream test suite.
  * Call dh_python2 to get proper Python dependencies.

 -- Jérémy Bobbio <lunar@debian.org>  Wed, 28 Aug 2013 20:34:15 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,14 @@
 Source: pyptlib
-Maintainer: Jérémy Bobbio <lunar@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jérémy Bobbio <lunar@debian.org>
 Section: python
 Priority: extra
-Build-Depends: debhelper (>= 8), python-setuptools, python-sphinx
+Build-Depends: debhelper (>= 8), python-all (>= 2.6.6-3~), python-setuptools, python-sphinx
 Standards-Version: 3.9.4
 X-Python-Version: >= 2.7
 Vcs-Git: git://anonscm.debian.org/collab-maint/pyptlib.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/pyptlib.git
+XS-Testsuite: autopkgtest
 
 Package: python-pyptlib
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=python_distutils --with=python2

override_dh_installdocs:
	cd sphinx && make text
	dh_installdocs

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	PYTHONPATH=. debian/tests/upstream-tests
endif

=== debian/watch ===
version=3
https://pypi.python.org/pypi/pyptlib \
        https://pypi.python.org/packages/source/p/pyptlib/pyptlib-(.+)\.tar\.gz

## pyptlib 0.0.6

=== debian/changelog ===
pyptlib (0.0.6-2) unstable; urgency=medium

  [ Ximin Luo ]
  * Hand over package to pkg-privacy team.

  [ Jérémy Bobbio ]
  * Fix debian/watch to use PyPI Simple API.
  * Remove obsolete XS-Testsuite from debian/control.
  * Bump Standards-Version, no changes required.
  * Switch to debhelper compat level 9.

 -- Jérémy Bobbio <lunar@debian.org>  Thu, 01 Dec 2016 12:56:57 +0100

pyptlib (0.0.6-1) unstable; urgency=medium

  * New upstream version.
  * Bump Standards-Version, no changes required.
  * Rewrite non-working autopkgtest script for one based on the examples.

 -- Jérémy Bobbio <lunar@debian.org>  Fri, 18 Jul 2014 10:43:45 +0200

=== debian/control ===
Source: pyptlib
Maintainer: Debian Privacy Tools Maintainers <pkg-privacy-maintainers@lists.alioth.debian.org>
Uploaders: Jérémy Bobbio <lunar@debian.org>
Section: python
Priority: extra
Build-Depends: debhelper (>= 9), python-all (>= 2.6.6-3~), python-setuptools, python-sphinx
Standards-Version: 3.9.8
X-Python-Version: >= 2.7
Vcs-Git: https://anonscm.debian.org/git/pkg-privacy/packages/pyptlib.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-privacy/packages/pyptlib.git

Package: python-pyptlib
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: library for Tor pluggable transports written in Python
 pyptlib is a little Python library which understands the Tor pluggable
 transport managed-proxy protocol. It is useful for developers writing
 Tor pluggable transports in Python.

=== debian/tests/control ===
Tests: import

=== debian/watch ===
version=3
opts="downloadurlmangle=s/#.*$//,filenamemangle=s/.*(pyptlib-[^#]+)#.*$/$1/" \
        https://pypi.python.org/simple/pyptlib/ \
        .*/pyptlib-(.+)\.tar\.gz#.*
